## org.eclipse.emf.ecore.util
Class FeatureMapUtil.EntryImpl

    java.lang.Object
      org.eclipse.emf.ecore.util.FeatureMapUtil.EntryImpl

All Implemented Interfaces:
  FeatureMap.Entry

Enclosing class:
  FeatureMapUtil

    public static class FeatureMapUtil.EntryImpl

extends java.lang.Object
implements FeatureMap.Entry

Nested Class Summary

Nested classes/interfaces inherited from interface org.eclipse.emf.ecore.util.FeatureMap.Entry
`FeatureMap.Entry.Internal`

Field Summary
`protected EStructuralFeature` `eStructuralFeature`
`protected java.lang.Object` `value`

Constructor Summary
`FeatureMapUtil.EntryImpl(EStructuralFeature eStructuralFeature, java.lang.Object value)`

Method Summary
`boolean` `equals(java.lang.Object that)`
`EStructuralFeature` `getEStructuralFeature()` Returns the feature.
`java.lang.Object` `getValue()` Returns the value.
`int` `hashCode()`
`java.lang.String` `toString()`
`protected void` `validate()`

Methods inherited from class java.lang.Object
`clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

Field Detail

### eStructuralFeature

    protected final EStructuralFeature eStructuralFeature

### value

    protected final java.lang.Object value

Constructor Detail

### FeatureMapUtil.EntryImpl

    public FeatureMapUtil.EntryImpl(EStructuralFeature eStructuralFeature,
                                    java.lang.Object value)

Method Detail

### validate

    protected void validate()

### getEStructuralFeature

    public EStructuralFeature getEStructuralFeature()

  Description copied from interface: `FeatureMap.Entry`
  Returns the feature.

  Specified by:
    `getEStructuralFeature` in interface `FeatureMap.Entry`
  Returns:
    the feature.

### getValue

    public java.lang.Object getValue()

  Description copied from interface: `FeatureMap.Entry`
  Returns the value.

  Specified by:
    `getValue` in interface `FeatureMap.Entry`
  Returns:
    the value.

### equals

    public boolean equals(java.lang.Object that)

  Overrides:
    `equals` in class `java.lang.Object`

### hashCode

    public int hashCode()

  Overrides:
    `hashCode` in class `java.lang.Object`

### toString

    public java.lang.String toString()

  Overrides:
    `toString` in class `java.lang.Object`

Copyright 2001-2006 IBM Corporation and others. All Rights Reserved.